summaryrefslogtreecommitdiffstats
path: root/config/chroot_local-includes/usr/local/sbin/do_not_ever_run_me
diff options
context:
space:
mode:
authorTails developers <amnesia@boum.org>2011-08-18 16:34:26 +0200
committerTails developers <amnesia@boum.org>2011-08-18 16:34:26 +0200
commite41c5eb9dc8d6afb2acf02ad9f958883bc41452a (patch)
tree39dd0f465a9b6c9b3490f582d598ab5e93ee5766 /config/chroot_local-includes/usr/local/sbin/do_not_ever_run_me
parentd0670363b015274546474a54a06d483919c9ba38 (diff)
do_not_ever_run_me: also disable the IPv6 firewall.
Diffstat (limited to 'config/chroot_local-includes/usr/local/sbin/do_not_ever_run_me')
-rwxr-xr-xconfig/chroot_local-includes/usr/local/sbin/do_not_ever_run_me9
1 files changed, 8 insertions, 1 deletions
diff --git a/config/chroot_local-includes/usr/local/sbin/do_not_ever_run_me b/config/chroot_local-includes/usr/local/sbin/do_not_ever_run_me
index 4a42367..362b98e 100755
--- a/config/chroot_local-includes/usr/local/sbin/do_not_ever_run_me
+++ b/config/chroot_local-includes/usr/local/sbin/do_not_ever_run_me
@@ -6,8 +6,10 @@
# this script's name.
IPT=/sbin/iptables
+IP6T=/sbin/ip6tables
-[ -x "$IPT" ] || exit 67
+[ -x "$IPT" ] || exit 67
+[ -x "$IP6T" ] || exit 68
$IPT -P INPUT ACCEPT
$IPT -P FORWARD ACCEPT
@@ -31,6 +33,11 @@ $IPT -X
$IPT -t nat -X
$IPT -t mangle -X
+$IP6T -F
+$IP6T -P INPUT ACCEPT
+$IP6T -P FORWARD ACCEPT
+$IP6T -P OUTPUT ACCEPT
+
echo "You might want to unset http_proxy and HTTP_PROXY environment variables as well:"
echo " unset http_proxy"
echo " unset HTTP_PROXY"